# Create

Launch stage: GA

`POST /api/2.0/lakeview/dashboards`

Create a draft dashboard.

API scopes: dashboards

## Query parameters

- `dataset_catalog` (string, optional)
  Sets the default catalog for all datasets in this dashboard.
   Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips).
   Leave blank to keep each dataset’s existing configuration.
  Example: `samples`
- `dataset_schema` (string, optional)
  Sets the default schema for all datasets in this dashboard.
   Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips).
   Leave blank to keep each dataset’s existing configuration.
  Example: `nyctaxi`

## Request body

- `dashboard` (object, optional)
  - `dashboard_id` (string, optional)
    UUID identifying the dashboard.
    Example: `04aab30f99ea444490c10c85852f216c`
  - `display_name` (string, optional)
    The display name of the dashboard.
    Example: `Monthly Traffic Report`
  - `path` (string, optional)
    The workspace path of the dashboard asset, including the file name.
     Exported dashboards always have the file extension `.lvdash.json`.
     This field is excluded in List Dashboards responses.
    Example: `/path/to/dir/Monthly Traffic Report.lvdash.json`
  - `create_time` (string, optional)
    The timestamp of when the dashboard was created.
  - `update_time` (string, optional)
    The timestamp of when the dashboard was last updated by the user.
     This field is excluded in List Dashboards responses.
  - `warehouse_id` (string, optional)
    The warehouse ID used to run the dashboard.
    Example: `47bb1c472649e711`
  - `etag` (string, optional)
    The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard
     has not been modified since the last read.
     This field is excluded in List Dashboards responses.
    Example: `80611980`
  - `serialized_dashboard` (string, optional)
    The contents of the dashboard in serialized string form.
     This field is excluded in List Dashboards responses.
     Use the [get dashboard API](https://docs.databricks.com/api/workspace/lakeview/get)
     to retrieve an example response, which includes the `serialized_dashboard` field.
     This field provides the structure of the JSON string that represents the dashboard's 
     layout and components.
  - `lifecycle_state` (string, optional)
    The state of the dashboard resource. Used for tracking trashed status.
    Possible values: `ACTIVE`, `TRASHED`
  - `parent_path` (string, optional)
    The workspace path of the folder containing the dashboard. Includes leading slash and no
     trailing slash.
     This field is excluded in List Dashboards responses.
    Example: `/path/to/dir`

## Returns

Returns the Dashboard object.

## Response

```json
{
  "dashboard_id": "04aab30f99ea444490c10c85852f216c",
  "display_name": "Monthly Traffic Report",
  "path": "/path/to/dir/Monthly Traffic Report.lvdash.json",
  "create_time": "string",
  "update_time": "string",
  "warehouse_id": "47bb1c472649e711",
  "etag": "80611980",
  "serialized_dashboard": "{\"pages\":[{\"name\":\"b532570b\",\"displayName\":\"New Page\"}]}",
  "lifecycle_state": "string",
  "parent_path": "/path/to/dir"
}
```

